import {Component, ViewEncapsulation} from '@angular/core';
import {HashLocationStrategy, Location, LocationStrategy} from '@angular/common';

@Component({
  selector: 'ej-app',
  templateUrl: 'src/app.component.html',
  providers: [Location, {provide: LocationStrategy, useClass: HashLocationStrategy}],
  styles:[
      `
      ej-accordion{
          display: block;
      }
      .acc_container{
          margin: 10px;
      }
      #sample_container.e-acrdn .e-select.e-active {
          background-color: #f5f5f5;
      }
      #sample_container.e-acrdn .e-select.e-active a{
          color: #000000;
          font-weight: 500;
      }
      `
  ]
})
export class AppComponent {
   location: Location;
    constructor(location: Location){
        this.location = location;
    }
}